/* 
 Umbrella object 1.0
 ATtiny44, 2 white LEDs, phototransistor
 The brigther the ambient light, the darker the 2 white LEDs.
 The brightness of the 2 white LEDs changes proportionally to 
 the brightness of the ambient light measured by the phototransistor. 
 
 10-bit analog input
 0 highest value (brightness of ambient light)
 1023 lowest value (brightness of ambient light)
 
 8-bit pwm output
 0 higheste value (brightness of LED, on)
 255 lowest value (brightness of LED, off)
 */

int RX = 0;   // FTDI RX connected to PA1
int TX = 1;   // FTDI TX connected to PA0
int WL1 = 8;  // white LED connected to PB2 PWM
int WL2 = 7;  // white LED connected to PA7 PWM
int P  = 3;   // phototransistor connected to PA3

#include <SoftwareSerial.h>       // software serial library
SoftwareSerial mySerial(RX, TX);  // serial communication

void setup() {
  pinMode(RX, INPUT);   
  pinMode(TX, OUTPUT);
  pinMode(WL1, OUTPUT);
  pinMode(WL2, OUTPUT);
  pinMode(P, INPUT);  
  mySerial.begin(9600);
}

void loop() {
  int AL = analogRead(P);  // ambient light
  AL = map(AL, 0, 1023, 255, 0);
  analogWrite(WL1, AL);
  analogWrite(WL2, AL);
  mySerial.println(AL);
}
